Bug 768342 - Incorrect work of Resource Group Metric Graph portlet
Incorrect work of Resource Group Metric Graph portlet
Status: ON_QA
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.2
Unspecified Windows
unspecified Severity unspecified (vote)
: ---
: RHQ 4.13
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 1031732
  Show dependency treegraph
 
Reported: 2011-12-16 07:16 EST by Anton
Modified: 2014-09-05 13:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Portlet settings screenshot (14.90 KB, image/png)
2011-12-16 07:17 EST, Anton
no flags Details

  None (edit)
Description Anton 2011-12-16 07:16:15 EST
Description of problem:
Problem in portlet "Resource Group Metric Graph":
Duplicate records in metric lookup list in portlet settings(see attachment).
Graph displays only one resource metric.

Version-Release number of selected component (if applicable):
Reproduced on 4.2.0

Steps to Reproduce:
1. Add a resource group of two or more resources
2. Add Resource Group Metric Graph portlet
3. Open portlet settings and add resource group to assigned groups list
4. Choose any metric for group

Actual results:
1. Metric lookup list on portlet settings form contains duplicate records (for each resource in a group, I guess)
2. Metric graph displays metric only for one resource from the group

Expected results:
1. Correct metric selection in portlet settings, wothout duplicates
2. Metric graph for resource group, displaying summarized metrics
Comment 1 Anton 2011-12-16 07:17:04 EST
Created attachment 547760 [details]
Portlet settings screenshot
Comment 2 Heiko W. Rupp 2012-06-06 12:25:21 EDT
This is still present in RHQ 4.4 :-(
Comment 3 Simeon Pinder 2012-06-06 14:54:44 EDT
Ick. I'm guessing that the parent implementation gui class got refactored in some way and we didn't realize that we nicked these widgets.
Comment 4 Matt Peter 2012-06-14 14:17:50 EDT
We heavily use dynamic groups at our client, this is a big blocker for us :/
Comment 5 Jay Shaughnessy 2014-09-05 13:31:41 EDT
The single-member graphing issue was resolved in an earlier release. The duplicates in the settings is solved here.

Master commit 16c6dbf7d3fc6d1a2614cd34b255853e09f0be45
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Sep 5 13:28:57 2014 -0400

    [768342] Incorrect work of Resource Group Metric Graph portlet
    The datasouce backing this select item had issues.  Fixed that. Also,
    fix a tangential issue in the MeasurementScheduleCriteria resource type
    filter.

Note You need to log in before you can comment on or make changes to this bug.